View Issue Details

IDProjectCategoryView StatusLast Update
0000010BirdFont[All Projects] BirdFontpublic2013-08-29 10:50
ReporterhenrichAssigned Tojohan 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.20 
Summary0000010: make birdfont license more clear
DescriptionI've put birdfont to Debian but it's rejected due to license reason.

- dodo.py is introduced from doit, other author and license is MIT.
- they told me that "bavala.py should have different copyright details", could you clearfy it?
Additional Informationpleae note it to AUTHORS file as "Eduardo Naufel Schettino (dodo.py under MIT license)" or so.
TagsNo tags attached.

Activities

johan

2013-04-11 12:02

administrator   ~0000015

Last edited: 2013-07-01 15:24

View 3 revisions

Hi
I believe Eduardo wrote bavala.py specifically for BirdFont.
https://gitorious.org/~schettino72/birdfont/schettino72s-birdfont

We have not discussed licensing. I assume that he accepted the project license as terms for distributing the file. His name is already in the authors file.

I can add the MIT license if you or Eduardo think that it is better but I don't think there is a license issue that should prevent Debian from distributing BirdFont right now.

henrich

2013-04-12 22:39

reporter   ~0000017

Thanks, it is not a licensing problem (like conflicts between GPL + other licenses), but just unclear copyright and license issue.

If it would be determined, then I'll put it to Debian package and upload it.

johan

2013-07-01 15:24

administrator   ~0000021

Last edited: 2013-08-29 10:50

View 4 revisions

This issue will be fixed in the next release. See https://gitorious.org/birdfont/birdfont/commit/e4c4ea0e2b5e86f50b9f98784bc29f7d379ae427 Eduardo has agreed to add this copyright notice.

Other files in the scripts directory have been written be me and are released under the GNU GPL.

Issue History

Date Modified Username Field Change
2013-04-11 01:58 henrich New Issue
2013-04-11 12:02 johan Note Added: 0000015
2013-04-11 12:02 johan Assigned To => johan
2013-04-11 12:02 johan Status new => assigned
2013-04-11 12:03 johan Note Edited: 0000015 View Revisions
2013-04-12 22:39 henrich Note Added: 0000017
2013-06-22 14:33 johan Category Birdfont => BirdFont
2013-07-01 15:24 johan Note Added: 0000021
2013-07-01 15:24 johan Status assigned => closed
2013-07-01 15:24 johan Resolution open => fixed
2013-07-01 15:24 johan Fixed in Version => 0.20
2013-07-01 15:24 johan Note Edited: 0000015 View Revisions
2013-07-01 15:26 johan Note Edited: 0000021 View Revisions
2013-07-01 15:42 johan Note Edited: 0000021 View Revisions
2013-08-29 10:50 johan Note Edited: 0000021 View Revisions